## joblib 1.3.2

=== doc/Makefile ===
# You can set these variables from the command lines
SPHINXOPTS   ?= -j $(shell nproc) -nWT --keep-going
SPHINXBUILD  ?= sphinx-build

.PHONY: all html clean

all: html

# generate html documentation with warning as errors
html:
	$(SPHINXBUILD) $(SPHINXOPTS) -b html . ./_build/html/

# remove generated sphinx gallery examples and sphinx documentation
clean:
	rm -rf auto_examples && rm -rf generated && rm -rf _build

view:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/index.html')"

show: view

=== debian/changelog ===
joblib (1.3.2-5) unstable; urgency=medium

  * Team upload.
  * Let dh_auto_test execute the tests automatically. Closes: #1085691.
  * If the build machine has a single CPU, exclude tests which are
    known to fail. Closes: #1085692.

 -- Santiago Vila <sanvila@debian.org>  Mon, 04 Nov 2024 17:30:00 +0100

joblib (1.3.2-4) unstable; urgency=high

  * Team upload.
  * Source-only upload for migration to testing.

 -- Santiago Vila <sanvila@debian.org>  Thu, 17 Oct 2024 14:45:00 +0200

joblib (1.3.2-3) unstable; urgency=medium

  * Team upload.
  * d/patches/pytest8: forwarded patch upstream.
  * Adjust intersphinx-inventory patch to link against the packaged
    docs, not external websites. Also fix link to the docs in the
    "distributed" package.
  * Build the docs as a new binary package: python-joblib-doc. Closes: #959991
  * Added lintian override documenting the origin of the test pickle
    datafiles.
  * Updated some of the patch metadata
  * Added patch to remove last usage of distutils
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 14 Sep 2024 18:05:38 +0200

joblib (1.3.2-2) unstable; urgency=medium

  * Team upload
  * d/patches/pytest8: small adjustment for Pytest 8.x. Closes: #1063966
  * d/control: switch to PEP-517 building.
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 06 Mar 2024 10:14:32 +0100

joblib (1.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches memmap-byte-order and sphinx-warnings-no-errors,
    included upstream
  * Refresh remaining patches
  * Add conftest.py to debian/clean to avoid build-time test failure
  * New patches dont-count-DeprecationWarnings.patch and
    no-ast.Num.patch to avoid test failure with Python 3.12

 -- Graham Inggs <ginggs@debian.org>  Tue, 28 Nov 2023 14:14:41 +0000

=== debian/control ===
Source: joblib
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               pybuild-plugin-pyproject,
               python3-pytest <!nocheck>,
               python3-numpy,
               python3-psutil,
               python3-lz4,
               python3-threadpoolctl <!nocheck>,
               cython3,
               procps
Build-Depends-Indep: python3-doc,
                     python3-sphinx,
                     dh-sequence-sphinxdoc,
                     python3-sphinx-autodoc-typehints,
                     python-numpy-doc,
                     python-scipy-doc,
                     python3-numpydoc,
                     python3-pandas,
                     python3-sphinx-gallery,
                     python-distributed-doc
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/joblib
Vcs-Git: https://salsa.debian.org/science-team/joblib.git
Homepage: https://github.com/joblib/joblib
Rules-Requires-Root: no

Package: python3-joblib
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         procps,
         python3-pkg-resources
Recommends: python3-numpy,
            python3-pytest,
            python3-simplejson,
            python3-psutil
Suggests: python-joblib-doc
Description: tools to provide lightweight pipelining in Python
 Joblib is a set of tools to provide lightweight pipelining in
 Python. In particular, joblib offers:
 .
  - transparent disk-caching of the output values and lazy
    re-evaluation (memoize pattern)
  - easy simple parallel computing
  - logging and tracing of the execution
 .
 Joblib is optimized to be fast and robust in particular on large,
 long-running functions and has specific optimizations for numpy arrays.
 .
 This package contains the Python 3 version.

Package: python-joblib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-joblib,
          python3-doc,
          python-numpy-doc,
          python-scipy-doc
Description: tools to provide lightweight pipelining in Python -- docs
 Joblib is a set of tools to provide lightweight pipelining in
 Python. In particular, joblib offers:
 .
  - transparent disk-caching of the output values and lazy
    re-evaluation (memoize pattern)
  - easy simple parallel computing
  - logging and tracing of the execution
 .
 Joblib is optimized to be fast and robust in particular on large,
 long-running functions and has specific optimizations for numpy arrays.
 .
 This package contains the documentation for joblib.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

EXCLUDE_TESTS =
# Until https://github.com/joblib/joblib/issues/1273 is open
EXCLUDE_TESTS += not test_nested_loop_error_in_grandchild_resource_tracker_silent
# Until https://github.com/joblib/joblib/issues/1328 is open
EXCLUDE_TESTS += and not test_resource_tracker_silent_when_reference_cycles
# Until https://github.com/joblib/joblib/issues/1329 is open
EXCLUDE_TESTS += and not test_parallel_with_interactively_defined_functions_default_backend

# https://github.com/joblib/joblib/issues/1618
ifeq ($(shell nproc), 1)
  EXCLUDE_TESTS += and not test_nested_parallelism_limit
  EXCLUDE_TESTS += and not test_threadpool_limitation_in_child_override
endif

export PYBUILD_NAME=joblib
export PYBUILD_TEST_ARGS_python3 := -k "$(EXCLUDE_TESTS)"

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

execute_after_dh_auto_build-indep:
	SPHINXOPTS="$(SPHINXOPTS)" pybuild --build -i python3 -s custom --build-args '$(MAKE) -C {dir}/doc html'

## joblib 1.4.2

=== debian/changelog ===
joblib (1.4.2-5) unstable; urgency=medium

  * Team upload.
  * Add build-dep on python3-pytest-asyncio for Pytest8.4

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 12:04:17 +0200

joblib (1.4.2-4) unstable; urgency=medium

  * Team upload.
  [ Chris Hofstaedtler ]
  * Apply upstream patch to fix test failures. Closes: #1101852.
  [ Santiago Vila ]
  * Add debian/salsa-ci.yml (without reprotest for now).
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 03 May 2025 19:50:00 +0200

joblib (1.4.2-3) unstable; urgency=medium

  * Team upload.
  * Also disable test_joblib_pickle_across_python_versions in autopkgtests
    (Closes: #1098247)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Feb 2025 14:55:07 +0100

joblib (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Exclude one test that only fails on buildd

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Feb 2025 16:23:56 +0100

joblib (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * Reformat d/control with debputy
  * New upstream version 1.4.2 (Closes: #1095024)
  * Refresh patches, two were applied upstream
  * Add upstream commit for Numpy 2.2 compatibility

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Feb 2025 12:28:26 +0100

joblib (1.3.2-6) unstable; urgency=medium

  * Team upload.
  * Remove dep on python3-pkg-resources (Closes: #1083444)
  * Remove recommends on python3-simplejson
  * Remove Py2 vs Py3 crumb from d/rules

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 14:37:18 +0100

=== debian/control ===
Source: joblib
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cython3,
 procps,
 pybuild-plugin-pyproject,
 python3-all,
 python3-lz4,
 python3-numpy,
 python3-psutil,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-setuptools,
 python3-threadpoolctl <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python-distributed-doc,
 python-numpy-doc,
 python-scipy-doc,
 python3-doc,
 python3-numpydoc,
 python3-pandas,
 python3-sphinx,
 python3-sphinx-autodoc-typehints,
 python3-sphinx-gallery,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/joblib
Vcs-Git: https://salsa.debian.org/science-team/joblib.git
Homepage: https://github.com/joblib/joblib
X-Style: black

Package: python3-joblib
Architecture: all
Depends:
 procps,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-numpy,
 python3-psutil,
 python3-pytest,
Suggests:
 python-joblib-doc,
Description: tools to provide lightweight pipelining in Python
 Joblib is a set of tools to provide lightweight pipelining in
 Python. In particular, joblib offers:
 .
  - transparent disk-caching of the output values and lazy
    re-evaluation (memoize pattern)
  - easy simple parallel computing
  - logging and tracing of the execution
 .
 Joblib is optimized to be fast and robust in particular on large,
 long-running functions and has specific optimizations for numpy arrays.
 .
 This package contains the Python 3 version.

Package: python-joblib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-numpy-doc,
 python-scipy-doc,
 python3-doc,
 python3-joblib,
Description: tools to provide lightweight pipelining in Python -- docs
 Joblib is a set of tools to provide lightweight pipelining in
 Python. In particular, joblib offers:
 .
  - transparent disk-caching of the output values and lazy
    re-evaluation (memoize pattern)
  - easy simple parallel computing
  - logging and tracing of the execution
 .
 Joblib is optimized to be fast and robust in particular on large,
 long-running functions and has specific optimizations for numpy arrays.
 .
 This package contains the documentation for joblib.

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,13 @@
   EXCLUDE_TESTS += and not test_threadpool_limitation_in_child_override
 endif
 
+# This failled on buildd x86-grnet-03 but not on Salsa
+EXCLUDE_TESTS += and not test_joblib_pickle_across_python_versions
+
 export PYBUILD_NAME=joblib
-export PYBUILD_TEST_ARGS_python3 := -k "$(EXCLUDE_TESTS)"
+export PYBUILD_TEST_ARGS := -k "$(EXCLUDE_TESTS)" --confcutdir=.
+export PYBUILD_BEFORE_TEST=cp -v debian/conftest.py {build_dir}
+export PYBUILD_AFTER_TEST=rm -v {build_dir}/conftest.py
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 pytest,
Depends:
 python3-all,
 python3-joblib,
 python3-lz4,
 python3-numpy,
 python3-psutil,
 python3-pytest,
 python3-pytest-asyncio,
 python3-threadpoolctl,
Restrictions:
 allow-stderr,

## joblib 1.5.2

=== debian/changelog ===
joblib (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Security-Contact.
  * Refreshed patches, forwarded one upstream, dropped two patches
    merged upstream.
  * d/rules: remove single-core workaround, upstream fixed the issue in
    1.5.0
  * Silenced some lintian false positives
  * Removed another patch for an issue fixed upstream.
  * d/rules: set $HOME to support matplotlib during the documentation
    generation
  * Added patch to strip out the local path to improve the reproducibility of
    the package.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 30 Nov 2025 11:54:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,6 @@
 # Until https://github.com/joblib/joblib/issues/1329 is open
 EXCLUDE_TESTS += and not test_parallel_with_interactively_defined_functions_default_backend
 
-# https://github.com/joblib/joblib/issues/1618
-ifeq ($(shell nproc), 1)
-  EXCLUDE_TESTS += and not test_nested_parallelism_limit
-  EXCLUDE_TESTS += and not test_threadpool_limitation_in_child_override
-endif
-
 # This failled on buildd x86-grnet-03 but not on Salsa
 EXCLUDE_TESTS += and not test_joblib_pickle_across_python_versions
 
@@ -22,6 +16,7 @@
 export PYBUILD_TEST_ARGS := -k "$(EXCLUDE_TESTS)" --confcutdir=.
 export PYBUILD_BEFORE_TEST=cp -v debian/conftest.py {build_dir}
 export PYBUILD_AFTER_TEST=rm -v {build_dir}/conftest.py
+export HOME=$(CURDIR)/debian
 
 %:
 	dh $@ --buildsystem=pybuild
